<?php
session_start();
$usuario = $_SESSION['rut'];
include '../../conexion/conn.php';
$page = isset($_POST['page']) ? intval($_POST['page']) : 1;
$rows = isset($_POST['rows']) ? intval($_POST['rows']) : 500;
	$offset = ($page-1)*$rows;
	$result = array();
	 $exportador_cod = $_REQUEST['codigo']; 
	/*if(isset($_POST['usuario_rut_filtro'])){$usuario_rut_filtro = $_POST['usuario_rut_filtro'];}else{$usuario_rut_filtro = "";}  
	if(isset($_POST['usuario_nombre_filtro'])){$usuario_nombre_filtro = $_POST['usuario_nombre_filtro'];}else{$usuario_nombre_filtro = "";}  
	if(isset($_POST['usuario_tipo_filtro'])){$usuario_tipo_filtro = $_POST['usuario_tipo_filtro'];}else{$usuario_tipo_filtro = "";}  
    if(isset($_POST['usuario_estado_filtro'])){$usuario_estado_filtro = $_POST['usuario_estado_filtro'];}else{$usuario_estado_filtro = "";}  
	if(isset($_POST['perfilFiltro'])){$perfilFiltro = $_POST['perfilFiltro'];}else{$perfilFiltro = "";}  
	*/
	
	
	
	
	/*$strFiltroEstado="";
	$strFiltroTipo="";
	$strFiltroPerfil="";
	if ($usuario_estado_filtro!=''){$strFiltroEstado="and usuario.usuario_estado = '$usuario_estado_filtro'";}
	if ($usuario_tipo_filtro!=''){$strFiltroTipo="and usuario.usuario_tipo = '$usuario_tipo_filtro'";}
	if ($perfilFiltro!=''){$strFiltroPerfil="and tipousuario.tipousuario_nombre = '$perfilFiltro'";}
	
	$where = "usuario.usuario_rut like '%$usuario_rut_filtro%' and usuario.usuario_nombre like '%$usuario_nombre_filtro%' ".$strFiltroEstado." ".$strFiltroPerfil." ".$strFiltroTipo;  */
	
	
		$rs = mysql_query("SELECT COUNT(*) FROM exportador_detalle_productor where exportador_detalle_productor.exportador_cod='$exportador_cod'");
		$row = mysql_fetch_row($rs);
		$result["total"] = $row[0];
	
		$rs = mysql_query("SELECT exportador_detalle_productor.id_detalle, productores.productor_nombre, exportador_detalle_productor.productor_cod FROM exportador_detalle_productor INNER JOIN productores ON productores.productor_cod=exportador_detalle_productor.productor_cod WHERE exportador_detalle_productor.exportador_cod='$exportador_cod' ORDER BY productores.productor_nombre ASC LIMIT $offset,$rows");
	
	
	$items = array();
	while($row = mysql_fetch_array($rs)){
		$arrusu = array('id_detalle'=>$row['id_detalle'], 'productor_cod'=>$row['productor_cod'], 'productor_nombre'=>$row['productor_nombre']);
				array_push($items,$arrusu);
	}
	$result["rows"] = $items;
	mysql_close();
	echo json_encode($result);

?>